START TRANSACTION;

--
-- Table structure for table `contests`
--

CREATE TABLE `contests` (
  `id` bigint NOT NULL,
  `title` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `problems`
--

CREATE TABLE `problems` (
  `id` bigint NOT NULL,
  `contest_id` bigint NOT NULL,
  `title` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `submissions`
--

CREATE TABLE `submissions` (
  `id` bigint NOT NULL,
  `user_id` bigint NOT NULL,
  `problem_id` bigint NOT NULL,
  `score` bigint NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` bigint NOT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `contests`
--
ALTER TABLE `contests`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `problems`
--
ALTER TABLE `problems`
  ADD PRIMARY KEY (`id`),
  ADD KEY `contest_id` (`contest_id`);

--
-- Indexes for table `submissions`
--
ALTER TABLE `submissions`
  ADD PRIMARY KEY (`id`),
  ADD KEY `problem_id` (`problem_id`),
  ADD KEY `user_id` (`user_id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `contests`
--
ALTER TABLE `contests`
  MODIFY `id` bigint NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `problems`
--
ALTER TABLE `problems`
  MODIFY `id` bigint NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `submissions`
--
ALTER TABLE `submissions`
  MODIFY `id` bigint NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` bigint NOT NULL AUTO_INCREMENT;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `problems`
--
ALTER TABLE `problems`
  ADD CONSTRAINT `problems_ibfk_1` FOREIGN KEY (`contest_id`) REFERENCES `contests` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `submissions`
--
ALTER TABLE `submissions`
  ADD CONSTRAINT `submissions_ibfk_1` FOREIGN KEY (`problem_id`) REFERENCES `problems` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `submissions_ibfk_2` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

COMMIT;
SET FOREIGN_KEY_CHECKS=0;
insert into users (name) values ('Adelaida Reignolds');
insert into users (name) values ('Fairlie Matus');
insert into users (name) values ('Ilene Chastelain');
insert into users (name) values ('Had Hamley');
insert into users (name) values ('Freddie Cannam');
insert into users (name) values ('Gayelord Crosser');
insert into users (name) values ('Dore Adney');
insert into users (name) values ('Thane Mousby');
insert into users (name) values ('Brooks Fynn');
insert into users (name) values ('Omero Ashby');
insert into users (name) values ('Allsun Harrower');
insert into users (name) values ('Kalindi Swafield');
insert into users (name) values ('Daisy Blacksell');
insert into users (name) values ('Goldia Bagehot');
insert into users (name) values ('Allianora Ioselevich');
insert into users (name) values ('Melisande Jedrzejewicz');insert into contests (title) values ('Meedoo');
insert into contests (title) values ('Brightdog');
insert into contests (title) values ('Realbridge');
insert into contests (title) values ('Agivu');insert into submissions (user_id, problem_id, score) values (24, 74, 18);
insert into submissions (user_id, problem_id, score) values (5, 75, 100);
insert into submissions (user_id, problem_id, score) values (72, 128, 67);
insert into submissions (user_id, problem_id, score) values (71, 10, 35);
insert into submissions (user_id, problem_id, score) values (77, 82, 49);
insert into submissions (user_id, problem_id, score) values (144, 94, 56);
insert into submissions (user_id, problem_id, score) values (6, 57, 15);
insert into submissions (user_id, problem_id, score) values (13, 68, 32);
insert into submissions (user_id, problem_id, score) values (5, 47, 98);
insert into submissions (user_id, problem_id, score) values (65, 74, 86);
insert into submissions (user_id, problem_id, score) values (62, 36, 56);
insert into submissions (user_id, problem_id, score) values (126, 116, 60);
insert into submissions (user_id, problem_id, score) values (58, 28, 64);
insert into submissions (user_id, problem_id, score) values (72, 113, 5);
insert into submissions (user_id, problem_id, score) values (66, 123, 39);
insert into submissions (user_id, problem_id, score) values (140, 21, 18);
insert into submissions (user_id, problem_id, score) values (138, 137, 27);
insert into submissions (user_id, problem_id, score) values (84, 76, 92);
insert into submissions (user_id, problem_id, score) values (63, 81, 92);
insert into submissions (user_id, problem_id, score) values (34, 10, 98);
insert into submissions (user_id, problem_id, score) values (93, 61, 80);
insert into submissions (user_id, problem_id, score) values (70, 85, 31);
insert into submissions (user_id, problem_id, score) values (43, 11, 88);
insert into submissions (user_id, problem_id, score) values (22, 137, 70);
insert into submissions (user_id, problem_id, score) values (116, 82, 74);
insert into submissions (user_id, problem_id, score) values (31, 112, 22);
insert into submissions (user_id, problem_id, score) values (49, 10, 1);
insert into submissions (user_id, problem_id, score) values (22, 85, 13);
insert into submissions (user_id, problem_id, score) values (106, 7, 10);
insert into submissions (user_id, problem_id, score) values (15, 124, 75);
insert into submissions (user_id, problem_id, score) values (29, 68, 88);
insert into submissions (user_id, problem_id, score) values (64, 58, 58);
insert into submissions (user_id, problem_id, score) values (102, 105, 45);
insert into submissions (user_id, problem_id, score) values (22, 28, 78);
insert into submissions (user_id, problem_id, score) values (10, 150, 37);
insert into submissions (user_id, problem_id, score) values (113, 34, 53);
insert into submissions (user_id, problem_id, score) values (141, 41, 47);
insert into submissions (user_id, problem_id, score) values (135, 134, 13);
insert into submissions (user_id, problem_id, score) values (141, 2, 24);
insert into submissions (user_id, problem_id, score) values (44, 146, 88);
insert into submissions (user_id, problem_id, score) values (101, 77, 33);
insert into submissions (user_id, problem_id, score) values (55, 147, 37);
insert into submissions (user_id, problem_id, score) values (54, 105, 56);
insert into submissions (user_id, problem_id, score) values (134, 26, 38);
insert into submissions (user_id, problem_id, score) values (65, 48, 65);
insert into submissions (user_id, problem_id, score) values (146, 6, 13);
insert into submissions (user_id, problem_id, score) values (131, 18, 75);
insert into submissions (user_id, problem_id, score) values (44, 91, 31);
insert into submissions (user_id, problem_id, score) values (19, 115, 5);
insert into submissions (user_id, problem_id, score) values (132, 61, 96);
insert into submissions (user_id, problem_id, score) values (103, 12, 16);
insert into submissions (user_id, problem_id, score) values (37, 82, 55);
insert into submissions (user_id, problem_id, score) values (72, 62, 40);
insert into submissions (user_id, problem_id, score) values (119, 39, 81);
insert into submissions (user_id, problem_id, score) values (41, 115, 54);
insert into submissions (user_id, problem_id, score) values (80, 33, 23);
insert into submissions (user_id, problem_id, score) values (124, 54, 19);
insert into submissions (user_id, problem_id, score) values (102, 96, 4);
insert into submissions (user_id, problem_id, score) values (10, 71, 22);
insert into submissions (user_id, problem_id, score) values (47, 66, 59);
insert into submissions (user_id, problem_id, score) values (3, 144, 87);
insert into submissions (user_id, problem_id, score) values (13, 137, 91);
insert into submissions (user_id, problem_id, score) values (136, 20, 87);
insert into submissions (user_id, problem_id, score) values (119, 107, 14);
insert into submissions (user_id, problem_id, score) values (117, 68, 12);
insert into submissions (user_id, problem_id, score) values (67, 124, 15);
insert into submissions (user_id, problem_id, score) values (37, 115, 96);
insert into submissions (user_id, problem_id, score) values (104, 1, 63);insert into problems (contest_id, title) values (5, 'D''Amore-Reilly');
insert into problems (contest_id, title) values (1, 'Feeney-Dietrich');
insert into problems (contest_id, title) values (26, 'Schoen-Jaskolski');
insert into problems (contest_id, title) values (28, 'Walsh, Lubowitz and Haag');
insert into problems (contest_id, title) values (3, 'Leannon, Nikolaus and Gerhold');
insert into problems (contest_id, title) values (10, 'Douglas, Harber and Heller');
insert into problems (contest_id, title) values (14, 'Torphy Inc');
insert into problems (contest_id, title) values (12, 'Balistreri, Skiles and Erdman');
insert into problems (contest_id, title) values (7, 'Crooks, Hagenes and Stroman');
insert into problems (contest_id, title) values (9, 'Hodkiewicz-Grimes');
insert into problems (contest_id, title) values (20, 'O''Conner-Ernser');
insert into problems (contest_id, title) values (7, 'Botsford, Murphy and Buckridge');
insert into problems (contest_id, title) values (28, 'Sporer, Nikolaus and Gerhold');
insert into problems (contest_id, title) values (25, 'Bernier Inc');
insert into problems (contest_id, title) values (25, 'Hintz LLC');
insert into problems (contest_id, title) values (17, 'Weber-Smitham');SET FOREIGN_KEY_CHECKS=1;
